#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Class
%define		pnam	MethodMaker
Summary:	Class::MethodMaker - a module for creating generic methods
Summary(pl.UTF-8):	Class::MethodMaker - moduł do tworzenia ogólnych metod
Name:		perl-Class-MethodMaker
Version:	2.24
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6fac1ed1fea8a4e42d36a4d07c8bfa09
Patch0:		build.patch
URL:		http://search.cpan.org/dist/Class-MethodMaker/
%{?with_tests:BuildRequires:	perl-IPC-Run >= 0.89}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module solves the problem of having to write a bazillion get/set
methods that are all the same. The argument to 'use' is a hash whose
keys are the names of types of generic methods generated by
MethodMaker and whose values tell method maker what methods to make.
(More precisely, the keys are the names of MethodMaker methods
(methods that write methods) and the values are the arguments to those
methods.

%description -l pl.UTF-8
Ten moduł rozwiązuje problem pisania bazylionów metod get/set, które
są wszystkie takie same. Parametrem 'use' jest hasz, którego klucze są
nazwami typów do ogólnych metod, wygenerowanych przez MethodMakera, a
wartości mówią modułowi, które metody utworzyć (bardziej precyzyjnie:
klucze są nazwami metod MethodMakera (metod, które tworzą metody), a
wartości to parametry dla tych metod).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
mv -f end.pod lib/Class/MethodMaker/

%build
%{__perl} generate.PL
%{__perl} -MExtUtils::MakeMaker -wle \
	'WriteMakefile(NAME=>"Class::MethodMaker",
	PL_FILES=>{}, VERSION=>"%{version}")' \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/.placeholder
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/MethodMaker/end.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/cmmg.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Class/*.pm
%dir %{perl_vendorarch}/Class/MethodMaker
%{perl_vendorarch}/Class/MethodMaker/*.pm
%dir %{perl_vendorarch}/auto/Class/MethodMaker
%{perl_vendorarch}/auto/Class/MethodMaker/array
%{perl_vendorarch}/auto/Class/MethodMaker/hash
%{perl_vendorarch}/auto/Class/MethodMaker/scalar
%dir %{perl_vendorarch}/auto/Class/MethodMaker/Engine
%{perl_vendorarch}/auto/Class/MethodMaker/Engine/*.al
%{perl_vendorarch}/auto/Class/MethodMaker/Engine/*.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Class/MethodMaker/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-MethodMaker.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 8da4ad7
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 36b4ddb
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 6d795fd
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> a24b92e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 42bbdaf
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ccdefdb
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4c0c378
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> a732b71
- release 2

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> 0350a15
- up to 2.24

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7dbb6a3
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 12e5a41
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 524855e
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 01da0cd
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ecf8b2b
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Łukasz Kieś <kiesiu@pld-linux.org> b7a8ec6
- updated to 2.21

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0e3b40c
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 53fd81a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9429ccc
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0449d46
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> b1547c4
- missing colon

